Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Participation

List
GET /calendarmodules/{moduleId}/calendars/{calendarId}/participation
https://api.relesystest.net/api/v1.4/calendarmodules/{moduleId}/calendars/{calendarId}/participation
Get a list of event participations.

attendanceConfirmed will only be set if attendance confirmation is enabled on the related calendar event - otherwise it will be null.

Default sort is by creationDateTime in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
calendarId string / guid required
Query String
attendanceConfirmed boolean Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
eventId string / guid Filterable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
status string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"45adc40d-e0d9-4d00-af0c-653ec3285cc8","url":null,"eventId":"1fc36d42-59d7-487d-be44-8b47252151fd","eventUrl":null,"userId":"1e5ff669-218a-4138-bb40-ce558c62a1b2","userUrl":null,"status":"Attending","attendanceConfirmed":false,"fillingId":"3b518b65-44c5-4144-ae17-6bf9459cd2d7","fillingUrl":null,"creationDateTime":"2026-08-21T23:33:43.7132201+00:00","lastModifiedDateTime":"2026-08-22T23:33:43.7132201+00:00"},{"id":"c8633b7c-40a2-47e2-87b9-df320803098e","url":null,"eventId":"8fc4c060-c002-42b7-8e55-42301d261999","eventUrl":null,"userId":"3269d044-bd21-48b0-b2fc-f7a2cae2b7ca","userUrl":null,"status":"Tentative","attendanceConfirmed":true,"fillingId":null,"fillingUrl":null,"creationDateTime":"2026-08-22T23:33:43.7132201+00:00","lastModifiedDateTime":null},{"id":"822edafe-8911-4ffa-a677-74fc5e74a62f","url":null,"eventId":"5b350e0c-cc9b-4034-b82d-4a02ebe96491","eventUrl":null,"userId":"e01cbd13-76f0-4ce3-8792-3b5da3859b51","userUrl":null,"status":"Not attending","attendanceConfirmed":null,"fillingId":"a7cd0b19-d6e5-4d67-897b-d2734ab29498","fillingUrl":null,"creationDateTime":"2026-08-22T23:33:43.7132201+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  data array[object]      
   attendanceConfirmed boolean      
   creationDateTime datetimeoffset      
   eventId string / guid      
   eventUrl string      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string